Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt

Use this file to discover all available pages before exploring further.

API to send estimate by estimate id
POST https://services.leadconnectorhq.com/invoices/estimate/{estimateId}/send

Autorizacion

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.

Path parameters

estimateId
string
default:"5f9d6d8b1b2d2c001f2d9e4b"
required
Estimate Id

Body

altId
string
default:"6578278e879ad2646715ba9c"
required
Account Id or Agency Id
altType
string
required
Posibles valores: ‘account’
action
string
required
Posibles valores: ‘sms_and_email’, ‘send_manually’, ‘email’, ‘sms’
liveMode
boolean
default:"True"
required
livemode for estimate
userId
string
default:"6578278e879ad2646715ba9c"
required
Please ensure that the UserId corresponds to an authorized personnel, either by an employee ID or agency ID, to access this account. This account will serve as the primary channel for all future communications and updates.
sentFrom
object
sender details for invoice, valid only if invoice is not sent manually
estimateName
string
default:"Estimate"
estimate name

Respuestas

altId
string
default:"6578278e879ad2646715ba9c"
required
Account Id or Agency Id
altType
string
required
Posibles valores: ‘account’
_id
string
default:"67ac9a51106ee8311e911XXXX"
required
Unique identifier
liveMode
boolean
default:"True"
required
Indicates if it is in live mode
deleted
boolean
default:"False"
required
Indicates if deleted
name
string
default:"Estimate Name"
required
Name
currency
string
default:"USD"
required
Currency code
businessDetails
object
required
Business details associated with the estimate
items
array[]
required
An array of items
discount
object
required
Discount details for the estimate template
title
string
default:"ESTIMATE"
Title
estimateNumberPrefix
string
default:"EST-"
Estimate number prefix
attachments
object[]
Attachments
updatedBy
string
default:"3HIpOF9NIc5ltriQXXXX"
User Id of who last updated
total
number
default:"1222.03"
required
Total amount
createdAt
string
default:"2025-02-12T13:17:47.416Z"
required
Timestamp when created
updatedAt
string
default:"2025-02-12T13:17:47.416Z"
required
Timestamp when last updated
__v
number
default:"0"
required
Version number
automaticTaxesEnabled
boolean
default:"False"
required
Indicates if automatic taxes are enabled for this estimate
termsNotes
string
Terms and conditions for the estimate, supports HTML markup
companyId
string
default:"COMP12345"
required
Company identifier associated with the estimate
contactDetails
object
required
Contact details for the estimate
issueDate
string
default:"2023-06-15T00:00:00.000Z"
required
Date when the estimate was issued
expiryDate
string
default:"2023-07-15T00:00:00.000Z"
required
Date when the estimate expires
sentBy
string
default:"user@example.com"
User who sent the estimate
automaticTaxesCalculated
boolean
default:"True"
required
Indicates if automatic taxes were calculated
meta
object
required
Additional metadata associated with the estimate
estimateActionHistory
string[]
required
History of actions taken on the estimate
sentTo
object
required
Recipient details for the estimate
frequencySettings
object
required
Frequency settings for recurring estimates
lastVisitedAt
string
default:"2023-06-20T08:30:00.000Z"
required
Timestamp when the estimate was last visited
totalamountInUSD
number
default:"1500.75"
required
Total amount in USD
autoInvoice
object
Auto-invoice settings for the estimate
traceId
string
default:"010c7a01-857f-4619-970d-xyxyxyxy"
required
Trace ID for logging and debugging
{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "account",
  "_id": "67ac9a51106ee8311e911XXXX",
  "liveMode": true,
  "deleted": false,
  "name": "Estimate Name",
  "currency": "USD",
  "businessDetails": {
    "logoUrl": "your_image-url",
    "name": "Business name",
    "address": {
      "addressLine1": "address line 1",
      "city": "Test City",
      "state": "State Name",
      "countryCode": "US",
      "postalCode": "12345"
    },
    "phoneNo": "+1 1234567890",
    "website": "www.example.com",
    "customValues": [
      {
        "name": "Test",
        "fieldKey": "{{custom_values.test}}",
        "id": "5DYTWoiQvWiIJZXX44XXX",
        "value": "Test's Custom Value"
      }
    ]
  },
  "items": [
    {
      "taxes": [],
      "taxInclusive": false,
      "_id": "67ac9a51106ee8311e911XXXX",
      "description": "<p>Futuristic anti-gravity racing</p>",
      "currency": "USD",
      "productId": "67ac9a51106ee8311e911XXXX",
      "priceId": "67ac9a51106ee8311e911XXXX",
      "amount": 9.99,
  // truncado: 86 lineas mas
}
{}
{}
{}

Ejemplo

curl -X POST 'https://services.leadconnectorhq.com/invoices/estimate/YOUR_estimateId/send' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "account",
  "action": "sms_and_email",
  "liveMode": true,
  "userId": "6578278e879ad2646715ba9c",
  "estimateName": "Estimate"
}'